KinoSearch1::Search::Hit(3pm)

NAME
KinoSearch1::Search::Hit - successful match against a Query

DESCRIPTION
A Hit object is a storage vessel which holds a Doc, a floating point score, and an integer document id.

METHODS

  get_doc
    my $doc = $hit->get_doc;

Return the Hit's KinoSearch1::Document::Doc object.

  get_score
    my $score = $hit->get_score;

Return the Hit's score.

  get_id
    my $doc_number = $hit->get_id;

Return the Hit's document number. Note that this document number is not permanent, and will likely become invalid the next time the index is updated.

  get_field_values
    my $hashref = $hit->get_field_values;

Return the values of the Hit's constituent fields as a hashref.

COPYRIGHT
Copyright 2005-2010 Marvin Humphrey

LICENSE, DISCLAIMER, BUGS, etc.
See KinoSearch1 version 1.01.